Subject: Re: bug#24041: 25.1.50; xwidget + -nw mode gives segfault

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Aug 2016 05:40:02 +0300

> From: Robert Cochran <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Robert Cochran <[email-masked]>,  [email-masked],  [email-masked]
> Date: Mon, 22 Aug 2016 13:28:51 -0700
> 
> I suppose I'm at a loss for a situation where you are using a tty and
> yet want a mode with xwidgets, although I have things set up in such a
> way that I never open a tty emacsclient unless I've logged in remotely
> or have chosen to forgo an X session (neither of which happen often in
> practice); I have fairly convenient ways across DE/WMs to open a
> graphical emacsclient.

Some code might prepare the xwidget first, and only later show it in a
frame it creates for that.  It's a valid use case, so I don't think we
should preclude it if not necessary.